> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List VM resource pools

> Get a list of pools available for running compute resources. Location-specific endpoint.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json get /user-resource/host_pool/list
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /user-resource/host_pool/list:
    get:
      tags:
        - VM
      summary: List VM resource pools
      description: >-
        Get a list of pools available for running compute resources.
        Location-specific endpoint.
      operationId: listVmResourcePools
      responses:
        '200':
          description: List of resource pools
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - created_at: '2022-12-28 13:50:52'
                  description: A server class for a wide range of purposes
                  is_default_designated: true
                  name: General
                  uuid: 4820b11f-82c9-4313-a1ef-14d6039981db
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````